use std::fs::create_dir;
use std::io::Result;

const PATH_MAX:u32 = 4096;
const NET_NS_DIR:&str = "/var/run/netns";
fn main() -> std::io::Result<()> {
    create_ns_dir()?;
    println!("Hello World");
    Ok(())
}

fn create_ns_dir() -> std::io::Result<()> {
    match create_dir(NET_NS_DIR) {
        _ => {
            println!("entra 1")
            Ok(())
        },
        Err(e) if e.kind() != std::io::ErrorKind::AlreadyExists => {
            println!("entra 2")
            Err(e)
        },
    }
}
